Bug 6377 - Fix branding-configs to own /etc/*release files
: Fix branding-configs to own /etc/*release files
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 13:26 MSK by Denis Silakov
Modified: 2016-01-20 18:08 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-11-26 13:26:27 MSK
Currently /etc/lsb-release, /etc/system-release and /etc/os-release are installed in post-scripts by means of "cp" command and are not owned by any package.
Comment 1 Denis Silakov 2015-11-26 13:27:45 MSK
Advisory:
Fix branding-configs package to own /etc/lsb-release, /etc/system-release and /etc/os-release (so "rpm -qf /etc/lsb-release" should provide valuable output now).

Build lists:
https://abf.io/build_lists/2601547
https://abf.io/build_lists/2601548
Comment 2 Denis Silakov 2015-11-27 00:25:17 MSK
New build lists, with fixed bugzilla URL:

https://abf.io/build_lists/2602179
https://abf.io/build_lists/2602180
Comment 3 Vladimir Potapov 2015-12-03 17:12:19 MSK
after update: 
rpm -qf /etc/lsb-release
файл /etc/lsb-release не принадлежит ни одному из пакетов
Comment 4 Vladimir Potapov 2015-12-16 12:35:30 MSK
*******************
QA Denied
Comment 5 Denis Silakov 2016-01-20 18:08:21 MSK
For me this is fixed in new branding-configs packages prepared for R7 release: http://bugs.rosalinux.ru/show_bug.cgi?id=6516#c4